//
//  STNavigationController.m
//  forDojoy
//
//  Created by 申屠 on 16/9/16.
//  Copyright © 2016年 申屠. All rights reserved.
//

#import "STNavigationController.h"
//#import "STlogVC.h"

@interface STNavigationController ()

@end

@implementation STNavigationController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
}

+(void)initialize{
    //设置导航模拟全透明导航[self.navigationController.navigationBar setBackgroundImage:[UIImage imageNamed:@"transparent.png"] forBarMetrics:UIBarMetricsDefault];
    
}

-(void)pushViewController:(UIViewController *)viewController animated:(BOOL)animated {
    //如果push进来的不是第一个控制器
    if (self.childViewControllers.count > 0) {
        
        UIButton *backButton = [UIButton buttonWithType:UIButtonTypeCustom];

        [backButton addTarget:self action:@selector(back) forControlEvents:UIControlEventTouchUpInside];

            [backButton setImage:[UIImage imageNamed:@"red_back"] forState:UIControlStateNormal];
            [backButton setImage:[UIImage imageNamed:@"red_back"] forState:UIControlStateHighlighted];
//            [backButton setTitleColor:[UIColor orangeColor] forState:UIControlStateNormal];
//            [backButton setTitleColor:[UIColor orangeColor] forState:UIControlStateHighlighted];
        
        //        [backButton sizeToFit];
        backButton.frame = CGRectMake(0, 0, 20, 15);
        // 可以让按钮的内容往左边偏移
        backButton.contentEdgeInsets = UIEdgeInsetsMake(0, 0, 0, 0);
        // 让按钮内部的所有内容左对齐
        backButton.contentHorizontalAlignment = UIControlContentHorizontalAlignmentLeft;
        viewController.navigationItem.leftBarButtonItem = [[UIBarButtonItem alloc] initWithCustomView:backButton];
        viewController.hidesBottomBarWhenPushed = YES;
    }
    //这句super的push要放在后面，让viewController可以覆盖上面设置leftBarButtonItem
    [super pushViewController:viewController animated:animated];
}

/**
 *  返回按钮
 */
-(void)back{
    [self popViewControllerAnimated:YES];
}

@end
