//
//  secondVC.m
//  forNavOffset
//
//  Created by 申屠 on 16/10/24.
//  Copyright © 2016年 申屠. All rights reserved.
//

#import "secondVC.h"
#import "thirdVC.h"

#define DEVICE_WIDTH self.view.frame.size.width
#define DEVICE_HEIGHT self.view.frame.size.height


@interface secondVC ()
@property(nonatomic,strong)UIImageView *barImageView;

@end

@implementation secondVC

- (void)viewDidLoad {
    [super viewDidLoad];
    self.view.backgroundColor = [UIColor orangeColor];
    self.automaticallyAdjustsScrollViewInsets = NO;
    
    _barImageView = self.navigationController.navigationBar.subviews.firstObject;
    _barImageView.alpha = 1;
    [self.navigationController.navigationBar setBackgroundImage:[UIImage imageNamed:@"white"] forBarMetrics:UIBarMetricsDefault];
    self.navigationController.navigationBar.shadowImage = [UIImage new];
   // self.navigationController.navigationBar.translucent = NO;
    
    UIView *viewwww = [[UIView alloc]initWithFrame:CGRectMake(0, 0, DEVICE_WIDTH, 64)];
    viewwww.backgroundColor = [UIColor whiteColor];
    [self.view addSubview:viewwww];
    
    UIButton *btn = [[UIButton alloc]initWithFrame:CGRectMake(50, 64, DEVICE_WIDTH-100, DEVICE_HEIGHT/3)];
    [btn setTitle:@"返回" forState:UIControlStateNormal];
    btn.titleLabel.font = [UIFont systemFontOfSize:16.0];
    [btn setTitleColor:[UIColor blackColor] forState:UIControlStateNormal];
    btn.highlighted = NO;
    btn.layer.cornerRadius = 5.0f;
    btn.layer.masksToBounds = YES;
    [btn addTarget:self action:@selector(back) forControlEvents:UIControlEventTouchUpInside];
    btn.backgroundColor = [UIColor whiteColor];
    [self.view addSubview:btn];
    
    UIButton *bt = [[UIButton alloc]initWithFrame:CGRectMake(50, DEVICE_HEIGHT/2+64, DEVICE_WIDTH-100, DEVICE_HEIGHT/3)];
    [bt setTitle:@"下一个" forState:UIControlStateNormal];
    bt.titleLabel.font = [UIFont systemFontOfSize:16.0];
    [bt setTitleColor:[UIColor blackColor] forState:UIControlStateNormal];
    bt.highlighted = NO;
    bt.layer.cornerRadius = 5.0f;
    bt.layer.masksToBounds = YES;
    bt.backgroundColor = [UIColor whiteColor];
    [bt addTarget:self action:@selector(next) forControlEvents:UIControlEventTouchUpInside];
    [self.view addSubview:bt];
}


-(void)back{
    [self.navigationController popViewControllerAnimated:YES];
}
-(void)next{
    thirdVC *vc = [[thirdVC alloc]init];
    [self.navigationController pushViewController:vc animated:YES];
}



@end
